summaryrefslogtreecommitdiffstats
path: root/kubernetes/config
diff options
context:
space:
mode:
authorAlexis de Talhouƫt <alexis.de_talhouet@bell.ca>2017-12-20 15:41:43 +0000
committerGerrit Code Review <gerrit@onap.org>2017-12-20 15:41:43 +0000
commit8dfce86d1662eab7006669943d5fdb8782b0721b (patch)
tree175edb2bd041b0023f001ea97b925136820b96a5 /kubernetes/config
parent4c72a6961f0cb6e4cd1ff83f61019e71100a08c4 (diff)
parentff0c956134e4308d482d620b5e1bc5ae7b6d8681 (diff)
Merge "State Monitoring of APPC-dbhost"
Diffstat (limited to 'kubernetes/config')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/appc-health.json14
-rwxr-xr-xkubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/appc-dbhost-script.sh13
2 files changed, 27 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/appc-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/appc-health.json
new file mode 100644
index 0000000000..9d09a59982
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/appc-health.json
@@ -0,0 +1,14 @@
+{
+ "service": {
+ "name": "Health Check: APPC",
+ "checks": [
+ {
+ "id": "appc-dbhost-healthcheck",
+ "name": "APPC DBHost Health Check",
+ "script": "/consul/config/scripts/appc-dbhost-script.sh",
+ "interval": "10s",
+ "timeout": "1s"
+ }
+ ]
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/appc-dbhost-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/appc-dbhost-script.sh
new file mode 100755
index 0000000000..4a78c315ba
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/appc-dbhost-script.sh
@@ -0,0 +1,13 @@
+APPC_DBHOST_POD=$(/consul/config/bin/kubectl -n onap-appc get pod | grep -o "appc-dbhost-[^[:space:]]*")
+if [ -n "$APPC_DBHOST_POD" ]; then
+ if /consul/config/bin/kubectl -n onap-appc exec -it $APPC_DBHOST_POD -- ./healthcheck.sh |grep -i "mysqld is alive"; then
+ echo Success. APPC DBHost is running. 2>&1
+ exit 0
+ else
+ echo Failed. APPC DBHost is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. APPC DBHost is offline. 2>&1
+ exit 1
+fi